Name:           zopfli
Version:        1.0.1
Release:        1
Summary:        Zlib compatible better compressor
License:        ASL 2.0
Group:          Applications/File
URL:            https://github.com/google/%{name}
Source0:        https://github.com/google/%{name}/archive/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  make

%description
Zopfli is a compression algorithm bit-stream compatible with
compression used in gzip, Zip, PNG, HTTP requests, and others. Zopfli
compresses more (~5%) but is slower (~100x) and uses more CPU, and is
hence best suited for applications where data is compressed once and
sent over a network many times, for example, static content for the
web.


%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0


%build
gmake zopfli zopflipng
/usr/bin/strip -X32_64 zopfli zopflipng


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp zopfli zopflipng ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING CONTRIBUTORS README README.zopflipng
%{_bindir}/*
/usr/bin/*


%changelog
* Mon Mar 20 2017 Michael Perzl <michael@perzl.org> - 1.0.1-1
- first version for AIX V5.1 and higher
